# Proxy
**Inherits:** [RefCounted](https://docs.godotengine.org/de/4.x/classes/class_refcounted.html)
    
## Description

A simple proxy class to allow for easy binding of a property to a function call.

## Properties

| Name                       | Type                                                                        | Default |
| -------------------------- | --------------------------------------------------------------------------- | ------- |
| [gettable](#prop-gettable) | [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) |         |
| [settable](#prop-settable) | [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) |         |
| [value](#prop-value)       | [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)   |         |

## Methods

| Returns | Name                                                                                                                                                                                             |
| ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| void    | [_init](#-init) ( gettable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html), settable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) ) |

## Signals

### on_set (new_value: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html)  ) {#on-set}

No description provided yet.





## Property Descriptions

### gettable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) {#prop-gettable}

No description provided yet.

### settable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) {#prop-settable}

No description provided yet.

### value: [Variant](https://docs.godotengine.org/de/4.x/classes/class_variant.html) {#prop-value}

No description provided yet.

## Method Descriptions

###  _init (gettable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html) , settable: [Callable](https://docs.godotengine.org/de/4.x/classes/class_callable.html)  ) -> void {#-init}

No description provided yet.
